HPL_min(3)

NAME
HPL_min - Combine (min) two buffers.

SYNOPSIS
#include "hpl.h"

void HPL_min( const int N, const void * IN, void * INOUT, const HPL_T_TYPE DTYPE );

DESCRIPTION
HPL_min combines (min) two buffers.

ARGUMENTS

N       (input)                 const int
    On entry, N specifies the length of the buffers to be combined. N must be at least zero.

IN      (input)                 const void *
    On entry, IN points to the input-only buffer to be combined.

INOUT   (input/output)          void *
    On entry, INOUT points to the input-output buffer to be combined. On exit, the entries of this array contains the combined results.

DTYPE   (input)                 const HPL_T_TYPE
    On entry, DTYPE specifies the type of the buffers operands.

SEE ALSO
HPL_broadcast (3), HPL_reduce (3), HPL_all_reduce (3), HPL_barrier (3), HPL_max (3), HPL_sum (3).